## org.eclipse.xsd.util
Class XSDResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.xsd.util.XSDResourceFactoryImpl

All Implemented Interfaces:
  Resource.Factory

    public class XSDResourceFactoryImpl

extends ResourceFactoryImpl

The Resource Factory implementation for the model. This class is the XSD resource factory that knows how to parse .xsd files to produce a MOF model. This class is not intended for subclassing outside of the model implementation; it is intended to be used as is with the Resource framework.

See Also:
  `XSDResourceImpl`, `XSDParser`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`Resource.Factory.Descriptor, Resource.Factory.Registry`

Constructor Summary
`XSDResourceFactoryImpl()` Creates an instance.

Method Summary
`Resource` `createResource(URI uri)` Creates an `XSDResourceImpl`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDResourceFactoryImpl

    public XSDResourceFactoryImpl()

  Creates an instance.

Method Detail

### createResource

    public Resource createResource(URI uri)

  Creates an `XSDResourceImpl`.

  Specified by:
    `createResource` in interface `Resource.Factory`
  Overrides:
    `createResource` in class `ResourceFactoryImpl`
  Parameters:
    `uri` - the URI of the new resource.
  Returns:
    an XSDResourceImpl.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.